%define upstream_name    Syntax-Highlight-Perl6
%define upstream_version 0.88

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Perl 6 Syntax Highlighter
Source0:    http://www.cpan.org/modules/by-module/Syntax/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://search.cpan.org/dist/%{upstream_name}

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(Moose)
BuildRequires: perl(Readonly)
BuildRequires: perl(File::ShareDir::Install)
BuildRequires: perl(STD)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(YAML::XS)

BuildArch:  noarch

%description
'Syntax::Highlight::Perl6' parses Perl 6 source code using an embedded
STD.pm. It matches parse tree nodes to colors then returns them in
different output formats. It can be used to create web pages with colorful
source code samples in its simple and snippet html modes, or it can be used
as a learning tool in examining STD.pm's output using the JavaScript node
viewer in its full html mode. Or you can use its parse tree Perl 5 records
to build your next great idea.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/hilitep6
/usr/share/man/man1/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.880.0-7.mga6
+ Revision: 1033586
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.880.0-6.mga6
+ Revision: 934201
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.880.0-5.mga5
+ Revision: 744330
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.880.0-3.mga4
+ Revision: 522016
- Mageia 4 Mass Rebuild

* Mon Feb 04 2013 umeabot <umeabot> 0.880.0-2.mga3
+ Revision: 394574
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.880.0-1.mga1
+ Revision: 40199
- adding missing buildrequires:
- adding missing buildrequires:
- update to 0.88

* Sat Jan 22 2011 jquelin <jquelin> 0.840.0-1.mga1
+ Revision: 32413
- mageia rebuild
- imported package perl-Syntax-Highlight-Perl6

